# 5.99.0 版本以前

自定义护身符配置可以在 `plugins/Talismans/talismans.yml` 中找到，它的一般配置如下：

```
talismans:
- <第一个护身符配置>
- <第二个护身符配置>
```

其中，`talismans` 为一个 **List** 类型的自定义护身符的键，所有自定义护身符的一般配置如下：

```
  - id: zombie_taliman
    name: "&f僵尸护身符"
    description:
      - "&f对僵尸造成额外&a 5% &f的伤害."
    item: zombie_head
    craftable: false
    recipe: []
    effects:
      - id: "damage_multiplier"
        args:
          multiplier: 1.05
        triggers:
          - melee_attack
          - bow_attack
          - trident_attack
        filters:
          entities: 
            - zombie
    conditions: []
```

{% hint style="info" %}
想一想，为什么这里的开头 **-** 符号前面有 **2** 个空格，而前文的自定义附魔却一个空格也没有，是哪个错了，还是它们都是正确的？如果你不知道，请重新阅读 **Yaml 语法学习** 一节。
{% endhint %}

我们可以看出它由以下部分组成：

* **id：**&#x62A4;身符的 **ID**，这里的 **ID** 并没有什么特别的要求，只是不能带有空格。因为自定义附魔的注册到MC原版的附魔里的，而这里没有，所以要求不多。
* **name：**&#x62A4;身符的名称，玩家能够看到的。
* **description：**&#x62A4;身符的介绍，玩家能够看到的。
* **item：**&#x62A4;身符的物品语法。
* **craftable：**&#x8BE5;护身符是否可以合成。
* **recipe：**&#x62A4;身符的合成配方。
* **effects/conditions：**&#x54;he Effect System（自定义技能系统）的内容，将在后文介绍。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/hu-shen-fu/5.99.0-ban-ben-yi-qian.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
